net.sf.jasperreports.components.map

## Class MapElementPptxHandler

- java.lang.Object
- - net.sf.jasperreports.components.map.MapElementPptxHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementPptxHandler

      public class MapElementPptxHandler
      extends java.lang.Object
      implements GenericElementPptxHandler

  Version:
    $Id: MapElementPptxHandler.java 6737 2013-11-13 14:31:19Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapElementPptxHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JRPptxExporterContext exporterContext, JRGenericPrintElement element)` Exports a generic element.
    `static MapElementPptxHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapElementPptxHandler

          public MapElementPptxHandler()

  - ### Method Detail

    - #### getInstance

          public static MapElementPptxHandler getInstance()

    - #### exportElement

          public void exportElement(JRPptxExporterContext exporterContext,
                           JRGenericPrintElement element)

      Description copied from interface: `GenericElementPptxHandler`
      Exports a generic element.

      Access to the exporter output and environment is provided via the `JRPptxExporterContext` argument.

      Specified by:
        `exportElement` in interface `GenericElementPptxHandler`
      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com